summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2016-03-17 01:17:03 +0100
committerManuel Rüger <mrueg@gentoo.org>2016-03-17 01:17:03 +0100
commit5179f8d7d5e64a647c8b29e058f4ba92101b2bf5 (patch)
treee646376da6b4d6330c208af834fde592072abc7c /dev-ruby/rake-compiler
parentsys-kernel/gentoo-sources: Linux patch 4.4.6 (diff)
downloadgentoo-5179f8d7d5e64a647c8b29e058f4ba92101b2bf5.tar.gz
gentoo-5179f8d7d5e64a647c8b29e058f4ba92101b2bf5.tar.bz2
gentoo-5179f8d7d5e64a647c8b29e058f4ba92101b2bf5.zip
dev-ruby/rake-compiler: Version bump
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby/rake-compiler')
-rw-r--r--dev-ruby/rake-compiler/Manifest1
-rw-r--r--dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-ruby/rake-compiler/Manifest b/dev-ruby/rake-compiler/Manifest
index 6bcb01ce589..fe24efd0b2e 100644
--- a/dev-ruby/rake-compiler/Manifest
+++ b/dev-ruby/rake-compiler/Manifest
@@ -1,3 +1,4 @@
DIST rake-compiler-0.9.2.tar.gz 30778 SHA256 72ced9a0ca9a034506de279e888fdec63d542d788ee1d2e7910f1bfd71c82dd3 SHA512 883157bf44540cd021bec22a84e907922756f74a61e84c62e51eed752da01d217a03aebd88582fbe779210116e7ab1a36023707fbdae445b5ac4499c7de9b8eb WHIRLPOOL 79b21689e08ac21005243a2f18bde0941c3a86bdd3bf36bf557d3c706cb64fcb379f2d3fd06c93d3c07f10e8c1e47c75933ba783cc23b57137d9fce6c3e7de78
DIST rake-compiler-0.9.5.tar.gz 31727 SHA256 c3ddd7cb4003d4116aef89313d4bf6ad338ea1c6e0552825c78a6109e80e931e SHA512 ce40ac3d57458e7369d3bf2c7cc033911775d6afee85867a96ea95f564cf9b294d4f1030530f547f27a0834ba4b33121abeb33a2f6b7a2d02346311ed11759b5 WHIRLPOOL df94ce4ce7e3842f4585f66c25422f59c03cf851cc596da9d35aac34cf6d79c615245ffe642116cd655454a8192b3985ca9d4db442d33894155191ab1f095038
DIST rake-compiler-0.9.6.tar.gz 32261 SHA256 81fca307339b8232ebc672017cedbd0603e04ed96e9340e9517c92e7bf9e0ee4 SHA512 3a91f972b4355e5d578693a1e5daa874524207c3bb5f7abc234b39e33f9a3cf3c1161d45edb90656bf81154297b7d4a5faeddfa42fac4b989c16d2db71e4f9f9 WHIRLPOOL 02384e2b8ad7b1e5df596b7a12adf685b5bef9765c0cf1c2eb14ac32dee9c9b8764f97383c31f9268520215ae0b667357430173f1a9c3958b859dc699f3012ab
+DIST rake-compiler-0.9.7.tar.gz 32292 SHA256 0ac3cf05c3bdb1c2c6fe6c5180b0da5994a1fa748447c1bdbc2eef2daeefefa5 SHA512 9d92d34bb82f2e6a0ba824c1c099a51c137368817aefd5e0821a216fabef9ab77e15895211b858e54afc965d5167810fd2ed3e36e57d91cb0bed8491b287c7db WHIRLPOOL 3c6171fa6f8b9252758315f82063a097ee366b4b9cf90c7990cf2ba5b95f4680074915670b983d608812259f9c8e5f9ef0b09a800fa65bbb18a26adad33dba8f
diff --git a/dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild b/dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild
new file mode 100644
index 00000000000..4be7abf9c6c
--- /dev/null
+++ b/dev-ruby/rake-compiler/rake-compiler-0.9.7.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="Provide a standard and simplified way to build and package Ruby extensions"
+HOMEPAGE="https://github.com/luislavena/rake-compiler"
+LICENSE="MIT"
+
+SRC_URI="https://github.com/luislavena/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/rake"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
+
+USE_RUBY="ruby20 ruby21" ruby_add_bdepend "test? ( dev-util/cucumber )"
+
+all_ruby_prepare() {
+ # Make sure the right rspec version is used in cucumber.
+ sed -i -e "1igem 'rspec', '~>2.0'" features/support/env.rb || die
+}
+
+each_ruby_prepare() {
+ case ${RUBY} in
+ *ruby19)
+ # Remove this task so that it won't load on Ruby 1.9
+ # that lack the package_task file. It is, though, needed for the
+ # tests
+ rm tasks/gem.rake || die
+ # Remove specs aimed at a C-compiling ruby implementation.
+ rm spec/lib/rake/extensiontask_spec.rb || die
+ ;;
+ *)
+ ;;
+ esac
+}
+
+each_ruby_test() {
+ # Skip cucumber for ruby22 (not ready yet)
+ case ${RUBY} in
+ *ruby20|*ruby21)
+ ruby-ng_rspec
+ ruby-ng_cucumber
+ ;;
+ *)
+ ruby-ng_rspec
+ ;;
+ esac
+}